function [u,v,r,rinv]=jinxin_init(x,fisico,h,u0,f,a)
%
% Compute the initial cell averages U for a deterministic method
% applied to the relaxtion system by Jin-Xin
% f is the flux
% a in the characteristic velocity
% u is the relaxed solution
% v is the non equilibrium solution
% R and Rinv are the eigenvector matrix and its inverse
%

%  The initial condition is pointwise 
%  Compute the cell averages of the initial condition
%
for j=fisico
  u(j)=quad(u0,x(j)-h/2,x(j)+h/2)/h;
end
r=[1,1; a, -a];
rinv=[a, 1; a, -1]/2/a;
v=feval(f,u);

